## javax.media.j3d
Enum ImageComponent.ImageClass

    java.lang.Object
      java.lang.Enum<ImageComponent.ImageClass>
          javax.media.j3d.ImageComponent.ImageClass

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImageComponent.ImageClass>

Enclosing class:
  ImageComponent

    public static enum ImageComponent.ImageClass

extends java.lang.Enum<ImageComponent.ImageClass>

Used to specify the class of the image being wrapped.

Since:
  Java 3D 1.5

Enum Constant Summary
`BUFFERED_IMAGE` Indicates that this ImageComponent object wraps a BufferedImage object.
`NIO_IMAGE_BUFFER` Indicates that this ImageComponent object wraps an NioImageBuffer object.
`RENDERED_IMAGE` Indicates that this ImageComponent object wraps a RenderedImage object that is not a BufferedImage.

Method Summary
`static ImageComponent.ImageClass` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImageComponent.ImageClass[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BUFFERED_IMAGE

    public static final ImageComponent.ImageClass BUFFERED_IMAGE

  Indicates that this ImageComponent object wraps a BufferedImage object. This is the default state. Note that the image class will be BUFFERED_IMAGE following a call to set(RenderedImage image) if we are in by-copy mode, or if the image is an instance of BufferedImage.

### RENDERED_IMAGE

    public static final ImageComponent.ImageClass RENDERED_IMAGE

  Indicates that this ImageComponent object wraps a RenderedImage object that is not a BufferedImage. Note that the image class of an ImageComponent following a call to set(RenderedImage image) will be RENDERED_IMAGE, if and only if the image is not an instance of BufferedImage and the ImageComponent is in by-reference mode.

### NIO_IMAGE_BUFFER

    public static final ImageComponent.ImageClass NIO_IMAGE_BUFFER

  Indicates that this ImageComponent object wraps an NioImageBuffer object. Note that an ImageComponent in this state must not be used as the off-screen buffer of a Canvas3D nor as the target of a readRaster operation.

Method Detail

### values

    public static ImageComponent.ImageClass[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImageComponent.ImageClass c : ImageComponent.ImageClass.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImageComponent.ImageClass valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.